svn commit: r226096 - projects/stress2/misc

Peter Holm pho at FreeBSD.org
Fri Oct 7 09:30:21 UTC 2011


Author: pho
Date: Fri Oct  7 09:30:20 2011
New Revision: 226096
URL: http://svn.freebsd.org/changeset/base/226096

Log:
  Missing SUJ and quota test scenario added.

Added:
  projects/stress2/misc/suj18.sh   (contents, props changed)

Added: projects/stress2/misc/suj18.sh
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ projects/stress2/misc/suj18.sh	Fri Oct  7 09:30:20 2011	(r226096)
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+#
+# Copyright (c) 2011 Peter Holm <pho at FreeBSD.org>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# 1. Redistributions of source code must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+# 2. Redistributions in binary form must reproduce the above copyright
+#    notice, this list of conditions and the following disclaimer in the
+#    documentation and/or other materials provided with the distribution.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
+# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
+# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
+# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
+# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
+# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
+# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
+# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+#
+# $FreeBSD$
+#
+
+# SUJ and quota test scenario.
+# "panic: check_inode_unwritten: busy inode" seen.
+
+[ `id -u ` -ne 0 ] && echo "Must be root!" && exit 1
+
+. ../default.cfg
+
+mount | grep "${mntpoint}" | grep -q md${mdstart} && umount ${mntpoint}
+mdconfig -l | grep -q md${mdstart} &&  mdconfig -d -u ${mdstart}
+
+mdconfig -a -t swap -s 1g -u ${mdstart}
+bsdlabel -w md${mdstart} auto
+newfs -j  md${mdstart}${part} > /dev/null
+export PATH_FSTAB=/tmp/fstab
+echo "/dev/md${mdstart}${part} ${mntpoint} ufs rw,userquota 2 2" > $PATH_FSTAB
+mount ${mntpoint}
+set `df -ik ${mntpoint} | tail -1 | awk '{print $4,$7}'`
+export QK=$(($1 / 10 * 8))
+export QI=$(($2 / 10 * 8))
+edquota -u -f ${mntpoint} -e ${mntpoint}:$((QK - 50)):$QK:$((QI - 50 )):$QI ${testuser}
+quotaon ${mntpoint}
+export RUNDIR=${mntpoint}/stressX
+chmod 777 ${mntpoint}
+su ${testuser} -c 'sh -c "(cd ..;runRUNTIME=20m ./run.sh disk.cfg > /dev/null 2>&1)"'
+
+while mount | grep -q ${mntpoint}; do
+	umount ${mntpoint} || sleep 1
+done
+mdconfig -d -u ${mdstart}
+rm -f $PATH_FSTAB


More information about the svn-src-projects mailing list